summaryrefslogtreecommitdiff
path: root/Ports/.port_include.sh
diff options
context:
space:
mode:
authorTim Schumacher <timschumi@gmx.de>2023-04-19 04:36:30 +0200
committerAndreas Kling <kling@serenityos.org>2023-04-19 07:53:18 +0200
commitfb049d691390d3fcf8181f68e37afd74fbf72dfe (patch)
tree7c2c5f9f2e8c463b3f32fdafd74e7d1cf6485b10 /Ports/.port_include.sh
parentce5a9391482b054ba231e6e10de75f1de3287893 (diff)
downloadserenity-fb049d691390d3fcf8181f68e37afd74fbf72dfe.zip
Ports: Don't mangle patches when requiring manual edits
While at it, pass the `--3way` option to give the user something to work with. Otherwise, Git will just prepare the commit metadata and nothing else. Note that this has a relatively low chance of working, since the recorded blob hashes aren't known to a freshly imported repository.
Diffstat (limited to 'Ports/.port_include.sh')
-rwxr-xr-xPorts/.port_include.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/Ports/.port_include.sh b/Ports/.port_include.sh
index ee719ee916..15d188c2b2 100755
--- a/Ports/.port_include.sh
+++ b/Ports/.port_include.sh
@@ -836,7 +836,7 @@ do_dev() {
else
# The patch didn't apply, oh no!
# Ask the user to figure it out :shrug:
- git am "$patch" || true
+ git am --keep-cr --keep-non-patch --3way "$patch" || true
>&2 echo "- This patch does not apply, you'll be dropped into a shell to investigate and fix this, quit the shell when the problem is resolved."
>&2 echo "Note that the patch needs to be committed into the current repository!"
launch_user_shell